Package: org.codehaus.groovy.util

## [Java] Class SingleKeyHashMap

- org.codehaus.groovy.util.SingleKeyHashMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `SingleKeyHashMap.Copier` |
    `static class` | `SingleKeyHashMap.Entry` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SingleKeyHashMap ()`
    `SingleKeyHashMap (boolean b)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `containsKey(String name)`
    `` | `static SingleKeyHashMap` | `copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)`
    `` | `Object` | `get(Object key)`
    `` | `Map.Entry` | `getOrPut(Object key)`
    `` | `Map.Entry` | `getOrPutEntry(Map.Entry element)`
    `` | `void` | `put(Object key, Object value)`
    `` | `Map.Entry` | `putCopyOfUnexisting(Map.Entry ee)`
    `` | `Entry` | `remove(Object key)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexKeyHashMap` | `clear, getEntrySetIterator, getTable, hasNext, hash, init, isEmpty, next, resize, size`

- - ### Constructor Detail

    - #### public SingleKeyHashMap()

    - #### public SingleKeyHashMap(boolean b)

  - ### Method Detail

    - #### public boolean containsKey(String name)

    - #### public static SingleKeyHashMap copy(SingleKeyHashMap dst, SingleKeyHashMap src, SingleKeyHashMap.Copier copier)

    - #### public final Object get(Object key)

    - #### public Map.Entry getOrPut(Object key)

    - #### public Map.Entry getOrPutEntry(Map.Entry element)

    - #### public void put(Object key, Object value)

    - #### public Map.Entry putCopyOfUnexisting(Map.Entry ee)

    - #### public final Entry remove(Object key)